grid                package:graphics                R Documentation

Add Grid to a Plot

Description:

     'grid' adds an 'nx' by 'ny' rectangular grid to an existing plot.

Usage:

     grid(nx = NULL, ny = nx, col = "lightgray", lty = "dotted", lwd = NULL,
          equilogs = TRUE)

Arguments:

   nx,ny: number of cells of the grid in x and y direction.  When
          'NULL', as per default, the grid aligns with the tick marks
          on the corresponding _default_ axis (i.e., tickmarks as
          computed by 'axTicks').  When 'NA', no grid lines are drawn
          in the corresponding direction.

     col: character or (integer) numeric; color of the grid lines.

     lty: character or (integer) numeric; line type of the grid lines.

     lwd: non-negative numeric giving line width of the grid lines;
          defaults to 'par("lwd")'.

equilogs: logical, only used when _log_ coordinates and alignment with
          the axis tick marks are active.  Setting{equilogs = FALSE} in
          that case gives _non equidistant_ tick aligned grid lines.

Note:

     If more fine tuning is required, use 'abline(h = ., v = .)'
     directly.

See Also:

     'plot', 'abline', 'lines', 'points'.

Examples:

     plot(1:3)
     grid(NA, 5, lwd = 2) # grid only in y-direction

     data(iris)
     ## maybe change the desired number of tick marks:  par(lab=c(mx,my,7))
     op <- par(mfcol = 1:2)
     with(iris,
          {
          plot(Sepal.Length, Sepal.Width, col = as.integer(Species),
               xlim = c(4, 8), ylim = c(2, 4.5), panel.first = grid(),
               main = "with(iris,  plot(...., panel.first = grid(), ..) )")
          plot(Sepal.Length, Sepal.Width, col = as.integer(Species),
               panel.first = grid(3, lty=1,lwd=2),
               main = "... panel.first = grid(3, lty=1,lwd=2), ..")
          }
         )
     par(op)

